net.arnx.wmf2svg.gdi

## Interface GdiFont

- All Superinterfaces:
    GdiObject

      public interface GdiFont
      extends GdiObject

  Author:
    Hidekatsu Izuno

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ANSI_CHARSET`
    `static int` | `ANTIALIASED_QUALITY`
    `static int` | `ARABIC_CHARSET`
    `static int` | `BALTIC_CHARSET`
    `static int` | `CHINESEBIG5_CHARSET`
    `static int` | `CLEARTYPE_QUALITY`
    `static int` | `CLIP_CHARACTER_PRECIS`
    `static int` | `CLIP_DEFAULT_PRECIS`
    `static int` | `CLIP_EMBEDDED`
    `static int` | `CLIP_LH_ANGLES`
    `static int` | `CLIP_MASK`
    `static int` | `CLIP_STROKE_PRECIS`
    `static int` | `CLIP_TT_ALWAYS`
    `static int` | `DEFAULT_CHARSET`
    `static int` | `DEFAULT_PITCH`
    `static int` | `DEFAULT_QUALITY`
    `static int` | `DRAFT_QUALITY`
    `static int` | `EASTEUROPE_CHARSET`
    `static int` | `FF_DECORATIVE`
    `static int` | `FF_DONTCARE`
    `static int` | `FF_MODERN`
    `static int` | `FF_ROMAN`
    `static int` | `FF_SCRIPT`
    `static int` | `FF_SWISS`
    `static int` | `FIXED_PITCH`
    `static int` | `FW_BLACK`
    `static int` | `FW_BOLD`
    `static int` | `FW_DEMIBOLD`
    `static int` | `FW_DONTCARE`
    `static int` | `FW_EXTRABOLD`
    `static int` | `FW_EXTRALIGHT`
    `static int` | `FW_HEAVY`
    `static int` | `FW_LIGHT`
    `static int` | `FW_MEDIUM`
    `static int` | `FW_NORMAL`
    `static int` | `FW_REGULAR`
    `static int` | `FW_SEMIBOLD`
    `static int` | `FW_THIN`
    `static int` | `FW_ULTRABOLD`
    `static int` | `FW_ULTRALIGHT`
    `static int` | `GB2312_CHARSET`
    `static int` | `GREEK_CHARSET`
    `static int` | `HANGUL_CHARSET`
    `static int` | `HEBREW_CHARSET`
    `static int` | `JOHAB_CHARSET`
    `static int` | `MAC_CHARSET`
    `static int` | `NONANTIALIASED_QUALITY`
    `static int` | `OEM_CHARSET`
    `static int` | `OUT_CHARACTER_PRECIS`
    `static int` | `OUT_DEFAULT_PRECIS`
    `static int` | `OUT_DEVICE_PRECIS`
    `static int` | `OUT_OUTLINE_PRECIS`
    `static int` | `OUT_RASTER_PRECIS`
    `static int` | `OUT_SCREEN_OUTLINE_PRECIS`
    `static int` | `OUT_STRING_PRECIS`
    `static int` | `OUT_STROKE_PRECIS`
    `static int` | `OUT_TT_ONLY_PRECIS`
    `static int` | `OUT_TT_PRECIS`
    `static int` | `PROOF_QUALITY`
    `static int` | `RUSSIAN_CHARSET`
    `static int` | `SHIFTJIS_CHARSET`
    `static int` | `SYMBOL_CHARSET`
    `static int` | `THAI_CHARSET`
    `static int` | `TURKISH_CHARSET`
    `static int` | `VARIABLE_PITCH`
    `static int` | `VIETNAMESE_CHARSET`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCharset()`
    `int` | `getClipPrecision()`
    `int` | `getEscapement()`
    `String` | `getFaceName()`
    `int` | `getHeight()`
    `int` | `getOrientation()`
    `int` | `getOutPrecision()`
    `int` | `getPitchAndFamily()`
    `int` | `getQuality()`
    `int` | `getWeight()`
    `int` | `getWidth()`
    `boolean` | `isItalic()`
    `boolean` | `isStrikedOut()`
    `boolean` | `isUnderlined()`

- - ### Field Detail

    - #### FW_DONTCARE

          static final int FW_DONTCARE

      See Also:
        Constant Field Values

    - #### FW_THIN

          static final int FW_THIN

      See Also:
        Constant Field Values

    - #### FW_EXTRALIGHT

          static final int FW_EXTRALIGHT

      See Also:
        Constant Field Values

    - #### FW_ULTRALIGHT

          static final int FW_ULTRALIGHT

      See Also:
        Constant Field Values

    - #### FW_LIGHT

          static final int FW_LIGHT

      See Also:
        Constant Field Values

    - #### FW_NORMAL

          static final int FW_NORMAL

      See Also:
        Constant Field Values

    - #### FW_REGULAR

          static final int FW_REGULAR

      See Also:
        Constant Field Values

    - #### FW_MEDIUM

          static final int FW_MEDIUM

      See Also:
        Constant Field Values

    - #### FW_SEMIBOLD

          static final int FW_SEMIBOLD

      See Also:
        Constant Field Values

    - #### FW_DEMIBOLD

          static final int FW_DEMIBOLD

      See Also:
        Constant Field Values

    - #### FW_BOLD

          static final int FW_BOLD

      See Also:
        Constant Field Values

    - #### FW_EXTRABOLD

          static final int FW_EXTRABOLD

      See Also:
        Constant Field Values

    - #### FW_ULTRABOLD

          static final int FW_ULTRABOLD

      See Also:
        Constant Field Values

    - #### FW_HEAVY

          static final int FW_HEAVY

      See Also:
        Constant Field Values

    - #### FW_BLACK

          static final int FW_BLACK

      See Also:
        Constant Field Values

    - #### ANSI_CHARSET

          static final int ANSI_CHARSET

      See Also:
        Constant Field Values

    - #### DEFAULT_CHARSET

          static final int DEFAULT_CHARSET

      See Also:
        Constant Field Values

    - #### SYMBOL_CHARSET

          static final int SYMBOL_CHARSET

      See Also:
        Constant Field Values

    - #### MAC_CHARSET

          static final int MAC_CHARSET

      See Also:
        Constant Field Values

    - #### SHIFTJIS_CHARSET

          static final int SHIFTJIS_CHARSET

      See Also:
        Constant Field Values

    - #### HANGUL_CHARSET

          static final int HANGUL_CHARSET

      See Also:
        Constant Field Values

    - #### JOHAB_CHARSET

          static final int JOHAB_CHARSET

      See Also:
        Constant Field Values

    - #### GB2312_CHARSET

          static final int GB2312_CHARSET

      See Also:
        Constant Field Values

    - #### CHINESEBIG5_CHARSET

          static final int CHINESEBIG5_CHARSET

      See Also:
        Constant Field Values

    - #### GREEK_CHARSET

          static final int GREEK_CHARSET

      See Also:
        Constant Field Values

    - #### TURKISH_CHARSET

          static final int TURKISH_CHARSET

      See Also:
        Constant Field Values

    - #### VIETNAMESE_CHARSET

          static final int VIETNAMESE_CHARSET

      See Also:
        Constant Field Values

    - #### ARABIC_CHARSET

          static final int ARABIC_CHARSET

      See Also:
        Constant Field Values

    - #### HEBREW_CHARSET

          static final int HEBREW_CHARSET

      See Also:
        Constant Field Values

    - #### BALTIC_CHARSET

          static final int BALTIC_CHARSET

      See Also:
        Constant Field Values

    - #### RUSSIAN_CHARSET

          static final int RUSSIAN_CHARSET

      See Also:
        Constant Field Values

    - #### THAI_CHARSET

          static final int THAI_CHARSET

      See Also:
        Constant Field Values

    - #### EASTEUROPE_CHARSET

          static final int EASTEUROPE_CHARSET

      See Also:
        Constant Field Values

    - #### OEM_CHARSET

          static final int OEM_CHARSET

      See Also:
        Constant Field Values

    - #### OUT_DEFAULT_PRECIS

          static final int OUT_DEFAULT_PRECIS

      See Also:
        Constant Field Values

    - #### OUT_STRING_PRECIS

          static final int OUT_STRING_PRECIS

      See Also:
        Constant Field Values

    - #### OUT_CHARACTER_PRECIS

          static final int OUT_CHARACTER_PRECIS

      See Also:
        Constant Field Values

    - #### OUT_STROKE_PRECIS

          static final int OUT_STROKE_PRECIS

      See Also:
        Constant Field Values

    - #### OUT_TT_PRECIS

          static final int OUT_TT_PRECIS

      See Also:
        Constant Field Values

    - #### OUT_DEVICE_PRECIS

          static final int OUT_DEVICE_PRECIS

      See Also:
        Constant Field Values

    - #### OUT_RASTER_PRECIS

          static final int OUT_RASTER_PRECIS

      See Also:
        Constant Field Values

    - #### OUT_TT_ONLY_PRECIS

          static final int OUT_TT_ONLY_PRECIS

      See Also:
        Constant Field Values

    - #### OUT_OUTLINE_PRECIS

          static final int OUT_OUTLINE_PRECIS

      See Also:
        Constant Field Values

    - #### OUT_SCREEN_OUTLINE_PRECIS

          static final int OUT_SCREEN_OUTLINE_PRECIS

      See Also:
        Constant Field Values

    - #### CLIP_DEFAULT_PRECIS

          static final int CLIP_DEFAULT_PRECIS

      See Also:
        Constant Field Values

    - #### CLIP_CHARACTER_PRECIS

          static final int CLIP_CHARACTER_PRECIS

      See Also:
        Constant Field Values

    - #### CLIP_STROKE_PRECIS

          static final int CLIP_STROKE_PRECIS

      See Also:
        Constant Field Values

    - #### CLIP_MASK

          static final int CLIP_MASK

      See Also:
        Constant Field Values

    - #### CLIP_LH_ANGLES

          static final int CLIP_LH_ANGLES

      See Also:
        Constant Field Values

    - #### CLIP_TT_ALWAYS

          static final int CLIP_TT_ALWAYS

      See Also:
        Constant Field Values

    - #### CLIP_EMBEDDED

          static final int CLIP_EMBEDDED

      See Also:
        Constant Field Values

    - #### DEFAULT_QUALITY

          static final int DEFAULT_QUALITY

      See Also:
        Constant Field Values

    - #### DRAFT_QUALITY

          static final int DRAFT_QUALITY

      See Also:
        Constant Field Values

    - #### PROOF_QUALITY

          static final int PROOF_QUALITY

      See Also:
        Constant Field Values

    - #### NONANTIALIASED_QUALITY

          static final int NONANTIALIASED_QUALITY

      See Also:
        Constant Field Values

    - #### ANTIALIASED_QUALITY

          static final int ANTIALIASED_QUALITY

      See Also:
        Constant Field Values

    - #### CLEARTYPE_QUALITY

          static final int CLEARTYPE_QUALITY

      See Also:
        Constant Field Values

    - #### DEFAULT_PITCH

          static final int DEFAULT_PITCH

      See Also:
        Constant Field Values

    - #### FIXED_PITCH

          static final int FIXED_PITCH

      See Also:
        Constant Field Values

    - #### VARIABLE_PITCH

          static final int VARIABLE_PITCH

      See Also:
        Constant Field Values

    - #### FF_DONTCARE

          static final int FF_DONTCARE

      See Also:
        Constant Field Values

    - #### FF_ROMAN

          static final int FF_ROMAN

      See Also:
        Constant Field Values

    - #### FF_SWISS

          static final int FF_SWISS

      See Also:
        Constant Field Values

    - #### FF_MODERN

          static final int FF_MODERN

      See Also:
        Constant Field Values

    - #### FF_SCRIPT

          static final int FF_SCRIPT

      See Also:
        Constant Field Values

    - #### FF_DECORATIVE

          static final int FF_DECORATIVE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getHeight

          int getHeight()

    - #### getWidth

          int getWidth()

    - #### getEscapement

          int getEscapement()

    - #### getOrientation

          int getOrientation()

    - #### getWeight

          int getWeight()

    - #### isItalic

          boolean isItalic()

    - #### isUnderlined

          boolean isUnderlined()

    - #### isStrikedOut

          boolean isStrikedOut()

    - #### getCharset

          int getCharset()

    - #### getOutPrecision

          int getOutPrecision()

    - #### getClipPrecision

          int getClipPrecision()

    - #### getQuality

          int getQuality()

    - #### getPitchAndFamily

          int getPitchAndFamily()

    - #### getFaceName

          String getFaceName()